Multivariate Pattern Analysis in Python

# mvpa2.base.state.Collection

class `mvpa2.base.state.``Collection`(items=None, name=None)

  Container of some IndexedCollectables.

  XXX Seems to be not used and duplicating functionality: `listing` (thus `listing` property)

  Attributes

  `listing` | Return a list of registered ca along with the documentation

  Methods

  `clear`(() -> None. Remove all items from D.) |
  `copy`(*args, **kwargs) | Create a copy of a collection.
  `fromkeys`(…) | v defaults to None.
  `get`((k[,d]) -> D[k] if k in D, …) |
  `has_key`((k) -> True if D has a key k, else False) |
  `is_set`([key]) | If item (or any in the present or listed) was set
  `items`(() -> list of D’s (key, value) pairs, …) |
  `iteritems`(() -> an iterator over the (key, …) |
  `iterkeys`(() -> an iterator over the keys of D) |
  `itervalues`(…) |
  `keys`(() -> list of D’s keys) |
  `pop`((k[,d]) -> v, …) | If key is not found, d is returned if given, otherwise KeyError is raised
  `popitem`(() -> (k, v), …) | 2-tuple; but raise KeyError if D is empty.
  `reset`([key]) | Reset the conditional attribute defined by `key`
  `setdefault`((k[,d]) -> D.get(k,d), …) |

  `update`(source[, copyvalues, memo])

  Parameters: |

  `values`(() -> list of D’s values) |
  `viewitems`(…) |
  `viewkeys`(…) |
  `viewvalues`(…) |
  `which_set`() | Return list of keys which were set

  Initialize the Collection

  Parameters:

  items : dict of IndexedCollectable’s

  > items to initialize with

  name : str

  > name of the collection (as seen in the owner, e.g. ‘ca’)

  Attributes

  `listing` | Return a list of registered ca along with the documentation

  Methods

  `clear`(() -> None. Remove all items from D.) |
  `copy`(*args, **kwargs) | Create a copy of a collection.
  `fromkeys`(…) | v defaults to None.
  `get`((k[,d]) -> D[k] if k in D, …) |
  `has_key`((k) -> True if D has a key k, else False) |
  `is_set`([key]) | If item (or any in the present or listed) was set
  `items`(() -> list of D’s (key, value) pairs, …) |
  `iteritems`(() -> an iterator over the (key, …) |
  `iterkeys`(() -> an iterator over the keys of D) |
  `itervalues`(…) |
  `keys`(() -> list of D’s keys) |
  `pop`((k[,d]) -> v, …) | If key is not found, d is returned if given, otherwise KeyError is raised
  `popitem`(() -> (k, v), …) | 2-tuple; but raise KeyError if D is empty.
  `reset`([key]) | Reset the conditional attribute defined by `key`
  `setdefault`((k[,d]) -> D.get(k,d), …) |

  `update`(source[, copyvalues, memo])

  Parameters: |

  `values`(() -> list of D’s values) |
  `viewitems`(…) |
  `viewkeys`(…) |
  `viewvalues`(…) |
  `which_set`() | Return list of keys which were set

  `copy`(*args, **kwargs)

    Create a copy of a collection.

    By default this is going to return a deep copy of the collection, hence no data would be shared between the original dataset and its copy.

    Parameters:

    deep : boolean, optional

    > If False, a shallow copy of the collection is return instead. The copy contains only views of the values.

    a : list or None

    > List of attributes to include in the copy of the dataset. If `None` all attributes are considered. If an empty list is given, all attributes are stripped from the copy.

    memo : dict

    > Developers only: This argument is only useful if copy() is called inside the __deepcopy__() method and refers to the dict-argument `memo` in the Python documentation.

  `is_set`(key=None)

    If item (or any in the present or listed) was set

    Parameters:

    key : None or str or list of str

    > What items to check if they were set in the collection

  `listing`

    Return a list of registered ca along with the documentation

  `reset`(key=None)

    Reset the conditional attribute defined by `key`

  `which_set`()

    Return list of keys which were set